Package org.eclipse.emf.compare.internal.spec

## Class ComparisonSpec

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.compare.impl.ComparisonImpl
          - - org.eclipse.emf.compare.internal.spec.ComparisonSpec

All Implemented Interfaces:
  `Notifier`, `Comparison`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

    public class ComparisonSpec
    extends ComparisonImpl

This specialization of the `ComparisonImpl` class allows us to define the derived features and operations implementations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.impl.ComparisonImpl

`conflicts, copyright, diagnostic, DIAGNOSTIC_EDEFAULT, equivalences, matchedResources, matches, THREE_WAY_EDEFAULT, threeWay`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`ComparisonSpec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EList<Diff>` `getDifferences()`
`EList<Diff>` `getDifferences​(EObject element)`
`IEqualityHelper` `getEqualityHelper()`
`Match` `getMatch​(EObject element)`

### Methods inherited from class org.eclipse.emf.compare.impl.ComparisonImpl

`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getConflicts, getDiagnostic, getEquivalences, getMatchedResources, getMatches, isThreeWay, setDiagnostic, setThreeWay, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Constructor Detail

#### ComparisonSpec

    public ComparisonSpec()

### Method Detail

#### getDifferences

    public EList<Diff> getDifferences()

Description copied from class: `ComparisonImpl`

Specified by:
  `getDifferences` in interface `Comparison`
Overrides:
  `getDifferences` in class `ComparisonImpl`

#### getDifferences

    public EList<Diff> getDifferences​(EObject element)

Description copied from class: `ComparisonImpl`

Specified by:
  `getDifferences` in interface `Comparison`
Overrides:
  `getDifferences` in class `ComparisonImpl`
Parameters:
  `element` - The EObject for which we seek all related differences.

#### getMatch

    public Match getMatch​(EObject element)

Specified by:
  `getMatch` in interface `Comparison`
Overrides:
  `getMatch` in class `ComparisonImpl`
Parameters:
  `element` - The EObject for which we seek the match.
See Also:
  `ComparisonImpl.getMatch(org.eclipse.emf.ecore.EObject)`

#### getEqualityHelper

    public IEqualityHelper getEqualityHelper()

Specified by:
  `getEqualityHelper` in interface `Comparison`
Overrides:
  `getEqualityHelper` in class `ComparisonImpl`
See Also:
  `ComparisonImpl.getEqualityHelper()`